[图]phpMyAdmin 5.0.0正式发布:移除对5.5/5.6/7.0等旧版PHP支持

2019年12月27日 08:00 次阅读 稿源:cnBeta.COM 条评论

phpMyAdmin 5.0.0版本于今天正式发布。该版本同4.9.3版本同时存在,不过官方推荐没有安装旧版PHP的用户尽量使用5.0.0版本。本次5.0版本更新中在涵盖了4.9分支的大量改进之外,还引入了诸多新功能。

访问:

阿里云新用户福利专场 云服务器ECS低至102元/年

天翼云年中上云节 云主机1C2G 92元/年 实名注册送8888元大礼包

团队表示也希望为那些运行旧版PHP的用户尽量维护phpMyAdmin 4分支,有关受支持的版本和寿命终止日期的完整详细信息,请参阅https://www.phpmyadmin.net/downloads/上的“受支持的版本”一栏。phpMyAdmin 5.0.0版本移除了对旧版PHP版本(5.5、5.6、7.0和HHVM)的支持,这些旧版本已经不再得到PHP团队的支持。

phpMyAdmin 5.0.0版本对用户界面进行了诸多现代化改进,在更加透明的同时让代码维护变得更加轻松。改进的部分功能包括:

● 默认情况下启用CSV导出的列名称

● 添加Metro主题

● 创建自动递增列时自动添加索引

● 改进了导出视图

● 在没有WHERE子句的UPDATE查询之前,提示用户进行确认

● 改进了向用户显示错误的方式(包括允许更轻松地将错误文本复制到剪贴板)

● 添加了击键以清除行(ctrl + l)并清除整个控制台窗口(ctrl + u)

● 导出格式为MS Excel时使用字符集“ Windows-1252”

已知的问题

由于MySQL对身份验证方法的更改,7.4之前的PHP版本无法向MySQL 8.0或更高版本的服务器进行身份验证(我们的测试表明,问题实际上始于MySQL 8.0.11)。这与PHP错误https://bugs.php.net/bug.php?id=76243有关。

临时解决方法就是,将您的用户帐户设置mysql_native_password为使用当前样式的密码哈希方式。不幸的是,这种缺乏协调的行为导致了所有PHP应用程序的不兼容性,受影响的不仅仅是phpMyAdmin。有关更多详细信息,您可以在https://github.com/phpmyadmin/phpmyadmin/issues/14220上查看我们的错误跟踪器项。

用户可以通过https://phpmyadmin.net/downloads/下载。

对文章打分

[图]phpMyAdmin 5.0.0正式发布:移除对5.5/5.6/7.0等旧版PHP支持

3 (33%)
已有 条意见

    最新资讯

    加载中...

    今日最热

    加载中...

    热门评论

      Top 10

      招聘


      Advertisment ad adsense googles cpro.baidu.com
      created by ceallan